# Orbs VM

- [What is Orbs VM?](https://docs.orbs.network/v3/orbs-vm/what-is-orbs-vm.md)
- [Network Diagram](https://docs.orbs.network/v3/orbs-vm/network-diagram.md)
- [Example Use Cases](https://docs.orbs.network/v3/orbs-vm/example-use-cases.md)
- [Step by Step Overview](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview.md)
- [Development Requirements](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/development-requirements.md)
- [Select Unique ID](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/select-unique-id.md)
- [Docker Image Implementation](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation.md)
- [Execution Environment](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/execution-environment.md)
- [Working Directory](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/working-directory.md)
- [Entry Point](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/entry-point.md)
- [Health Check](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/health-check.md)
- [status.json](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/status-json.md)
- [Testing Locally](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/testing-locally.md)
- [Deploying to Production](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/deploying-to-production.md)
- [Analyzing Execution](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/analyzing-execution.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/orbs-vm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
